Commit 6218333f authored by Kroese's avatar Kroese Committed by GitHub
Browse files

feat: Console mode

* feat: Console mode

* fix: Increase timeout
parent f32d8cbe
Loading
Loading
Loading
Loading
+5 −0
Original line number Diff line number Diff line
@@ -17,6 +17,11 @@ cd /run

trap - ERR

if [[ "${CONSOLE}" == [Yy]* ]]; then
  exec qemu-system-x86_64 -pidfile "${QEMU_PID}" ${ARGS:+ $ARGS}
  exit $?
fi

set -m
(
  [[ "${DEBUG}" == [Yy1]* ]] && info "$VERS" && set -x
+1 −0
Original line number Diff line number Diff line
@@ -12,6 +12,7 @@ trap 'error "Status $? while: ${BASH_COMMAND} (line $LINENO/$BASH_LINENO)"' ERR

: ${GPU:='N'}           # Enable GPU passthrough
: ${DEBUG:='N'}         # Enable debugging mode
: ${CONSOLE:='N'}       # Start in console mode
: ${ALLOCATE:='Y'}      # Preallocate diskspace
: ${ARGUMENTS:=''}      # Extra QEMU parameters
: ${CPU_CORES:='1'}     # Amount of CPU cores
+2 −2
Original line number Diff line number Diff line
@@ -48,7 +48,7 @@ sleep 0.2
while ! nc -z -w1 127.0.0.1 2210 > /dev/null 2>&1; do
  sleep 0.1
  cnt=$((cnt + 1))
  (( cnt > 20 )) && error "Failed to connect to qemu-host.." && exit 58
  (( cnt > 50 )) && error "Failed to connect to qemu-host.." && exit 58
done

cnt=0
@@ -56,7 +56,7 @@ cnt=0
while ! nc -z -w1 127.0.0.1 12345 > /dev/null 2>&1; do
  sleep 0.1
  cnt=$((cnt + 1))
  (( cnt > 20 )) && error "Failed to connect to qemu-host.." && exit 59
  (( cnt > 50 )) && error "Failed to connect to qemu-host.." && exit 59
done

# Configure serial ports